<?php
/*
  $Id$
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2010 osCommerce
  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  if (!isset($HTTP_GET_VARS['products_id'])) {
    tep_redirect(tep_href_link(FILENAME_DEFAULT));
  }
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_PRODUCT_INFO);
  $product_check_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
  $product_check = tep_db_fetch_array($product_check_query);
  require(DIR_WS_INCLUDES . 'template_top.php');
  if ($product_check['total'] < 1) {
?>
<div class="contentContainer">
  <div class="contentText">
    <div class="alert alert-warning"><?php echo TEXT_PRODUCT_NOT_FOUND; ?></div>
  </div>
  <div class="pull-right">
    <?php echo tep_draw_button(IMAGE_BUTTON_CONTINUE, 'glyphicon-chevron-right', tep_href_link(FILENAME_DEFAULT)); ?>
  </div>
</div>
<?php
  } else {
    $product_info_query = tep_db_query("select p.products_id, pd.products_name, pd.products_description, p.products_model, p.products_quantity, p.products_image, pd.products_url, p.products_price, p.products_tax_class_id, p.products_date_added, p.products_date_available, p.manufacturers_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_status = '1' and p.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pd.products_id = p.products_id and pd.language_id = '" . (int)$languages_id . "'");
    $product_info = tep_db_fetch_array($product_info_query);
    tep_db_query("update " . TABLE_PRODUCTS_DESCRIPTION . " set products_viewed = products_viewed+1 where products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and language_id = '" . (int)$languages_id . "'");
    if ($new_price = tep_get_products_special_price($product_info['products_id'])) {
      $products_price = '<del>' . $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) . '</del> <span class="productSpecialPrice">' . $currencies->display_price($new_price, tep_get_tax_rate($product_info['products_tax_class_id'])) . '</span>';
    } else {
      $products_price = $currencies->display_price($product_info['products_price'], tep_get_tax_rate($product_info['products_tax_class_id']));
    }
    if (tep_not_null($product_info['products_model'])) {
      $products_name = $product_info['products_name'] . '<br /><small>[' . $product_info['products_model'] . ']</small>';
    } else {
      $products_name = $product_info['products_name'];
    }
 echo tep_draw_form('cart_quantity', tep_href_link(FILENAME_PRODUCT_INFO, tep_get_all_get_params(array('action')) . 'action=add_product', 'NONSSL', 'class="form-horizontal"')); ?>
<div class="page-header">
  <h1 class="pull-right"><?php echo $products_price; ?></h1>
  <h1><?php echo $products_name; ?></h1>
<?php
          if(tep_session_is_registered('customer_id')){
          $cust_id = $_SESSION['customer_id'];
          $cust_id_query = tep_db_query ("select * from " . TABLE_CUSTOMERS . " where customers_id = " . (int)$cust_id);
          $cust_array = tep_db_fetch_array($cust_id_query);
          $already_notified_sql = tep_db_query("select * from " . TABLE_STOCK_NOTIFICATION . " where sn_customer_id = " . $cust_id);
          $number_of_rows = tep_db_num_rows($already_notified_sql);
           } 
          if($product_info['products_quantity'] == 0) {
?>
 </form>
<?php if ((tep_session_is_registered('notify')) || ($number_of_rows > 0)) { ?>
  <button class="btn btn-success" type="button"><i class="glyphicon glyphicon-ok"></i>  You are set to receive Notifications</button>
<?php } else { ?>
<button type="button" class="btn btn-danger btn-md" data-toggle="modal" data-target="#myModal"><i class="glyphicon glyphicon-envelope"></i><?php echo NO_STOCK_MESSAGE ;?></button>
  <div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal">&times;</button>
          <h4 class="modal-title"><?php echo TEXT_INFORM ;?></h4>
        </div>
        <div class="modal-body">
<?php
     if (tep_session_is_registered('notify')) {
     echo  MESSAGE_ALREADY_NOTIFIED .'"'. $product_info['products_name']. '"'. MESSAGE_2 . '<br /><br />';
     echo ALREADY_NOTIFIED;
     echo ALREADY_NOTIFIED_MESSAGE;
?>
    <br />
  </div>
<?php
      } else {
     echo tep_draw_form('sn_notify', tep_href_link(FILENAME_PRODUCT_INFO, '&action=sn_notify'), 'post', 'id="AlertForm"', true);
     echo  MESSAGE_1 .'"'. $product_info['products_name']. '"'. MESSAGE_2 . '<br /><br />';
     echo NOTIFY_EMAIL;
     if(isset($_SESSION ['customer_id'])){
     echo tep_draw_input_field('sn_email',''. $cust_array[customers_email_address] . '','id="sn_email" class="form-control"');
      } else {  echo tep_draw_input_field('sn_email','','id="sn_email" class="form-control"'); }
     echo NOTIFY_NAME ;?>
<?php
    if(isset($_SESSION ['customer_id'])){
    echo tep_draw_input_field('sn_name',''. $cust_array[customers_firstname] .''.' '. ''. $cust_array[customers_lastname].'','id="sn_name"  class="form-control"');
    echo tep_draw_hidden_field('sn_customer_id', $cust_array[customers_id], 'id="sn_customer_id"');
    } else { echo tep_draw_input_field('sn_name','','id="sn_name"  class="form-control"'); }
    echo tep_draw_hidden_field('product_id', $product_info['products_id'], 'id="product_id"');
    echo tep_draw_hidden_field('product_name', $product_info['products_name'], 'id="product_name"');
    echo tep_draw_hidden_field('sn_P_image', $product_info['products_image'], 'id="sn_P_image"');
?>
  <br />
<?php if(!tep_session_is_registered('customer_id')){ echo  SN_LOGIN_HEAD . '<br /><a href="' . tep_href_link(FILENAME_LOGIN, '', 'SSL') . '">' . SN_LOGIN . '</a>';}?>
    <br />
  <input type="submit" value="Submit" class="btn btn-default"/>
     </div>
<?php } ?>
  </div>
 </div>
</div>
<?php    }
         }  // end if product==0
          elseif($product_info['products_quantity'] <= NOTIFY_LOWER_LIMIT){
          echo '<p class="text-danger">' . TEXT_LOWER_LIMIT . '<span class="label label-danger">'.  $product_info['products_quantity'] . '</span></p>';
         }
          elseif($product_info['products_quantity'] <= NOTIFY_MEDIUM_LIMIT){
          echo '<p class="text-warner">' .  TEXT_MEDIUM_LIMIT . ' <span class="label label-warning">'.  $product_info['products_quantity'] . '</span></p>';
         }
          else {
          echo '<p class="text-success">' .  TEXT_PLENTY_LIMIT . '<span class="label label-success">'.  $product_info['products_quantity'] . '</span></p>';
         }
?>
</div>
<?php
  if ($messageStack->size('product_action') > 0) {
    echo $messageStack->output('product_action');
  }
?>
  <div class="contentContainer">
  <div class="contentText">
<?php
    if (tep_not_null($product_info['products_image'])) {
      $photoset_layout = '1';
      $pi_query = tep_db_query("select image, htmlcontent from " . TABLE_PRODUCTS_IMAGES . " where products_id = '" . (int)$product_info['products_id'] . "' order by sort_order");
     if (tep_db_num_rows($pi_query) > 0) {
        $photoset_layout = '1' . (tep_db_num_rows($pi_query) > 1 ? tep_db_num_rows($pi_query) - 1 : '');
?>
    <div id="piGal" data-imgcount="<?php echo $photoset_layout; ?>" class="pull-right">
<?php
        $pi_counter = 0;
        $pi_html = array();
        while ($pi = tep_db_fetch_array($pi_query)) {
          $pi_counter++;
          if (tep_not_null($pi['htmlcontent'])) {
            $pi_html[] = '<div id="piGalDiv_' . $pi_counter . '">' . $pi['htmlcontent'] . '</div>';
          }
          echo tep_image(DIR_WS_IMAGES . $pi['image'], '', '', '', 'id="piGalImg_' . $pi_counter . '"');
        }
?>
    </div>
<?php
        if ( !empty($pi_html) ) {
          echo '    <div style="display: none;">' . implode('', $pi_html) . '</div>';
        }
      } else {
?>
    <div id="piGal" class="pull-right">
      <?php echo tep_image(DIR_WS_IMAGES . $product_info['products_image'], addslashes($product_info['products_name'])); ?>
    </div>
<?php
      }
    }
?>
<?php echo stripslashes($product_info['products_description']); ?>
<?php
    $products_attributes_query = tep_db_query("select count(*) as total from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "'");
    $products_attributes = tep_db_fetch_array($products_attributes_query);
    if ($products_attributes['total'] > 0) {
?>
    <h4><?php echo TEXT_PRODUCT_OPTIONS; ?></h4>
    <p>
<?php
      $products_options_name_query = tep_db_query("select distinct popt.products_options_id, popt.products_options_name from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_ATTRIBUTES . " patrib where patrib.products_id='" . (int)$HTTP_GET_VARS['products_id'] . "' and patrib.options_id = popt.products_options_id and popt.language_id = '" . (int)$languages_id . "' order by popt.products_options_name");
      while ($products_options_name = tep_db_fetch_array($products_options_name_query)) {
        $products_options_array = array();
        $products_options_query = tep_db_query("select pov.products_options_values_id, pov.products_options_values_name, pa.options_values_price, pa.price_prefix from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS_VALUES . " pov where pa.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and pa.options_id = '" . (int)$products_options_name['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '" . (int)$languages_id . "'");
        while ($products_options = tep_db_fetch_array($products_options_query)) {
          $products_options_array[] = array('id' => $products_options['products_options_values_id'], 'text' => $products_options['products_options_values_name']);
          if ($products_options['options_values_price'] != '0') {
            $products_options_array[sizeof($products_options_array)-1]['text'] .= ' (' . $products_options['price_prefix'] . $currencies->display_price($products_options['options_values_price'], tep_get_tax_rate($product_info['products_tax_class_id'])) .') ';
          }
        }
        if (is_string($HTTP_GET_VARS['products_id']) && isset($cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']])) {
          $selected_attribute = $cart->contents[$HTTP_GET_VARS['products_id']]['attributes'][$products_options_name['products_options_id']];
        } else {
          $selected_attribute = false;
        }
?>
      <strong><?php echo $products_options_name['products_options_name'] . ':'; ?></strong><br /><?php echo tep_draw_pull_down_menu('id[' . $products_options_name['products_options_id'] . ']', $products_options_array, $selected_attribute, 'style="width: 200px;"'); ?><br />
<?php
      }
?>
    </p>
<?php
    }
?>
    <div class="clearfix"></div>
<?php
    if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
?>
    <div class="alert alert-info"><?php echo sprintf(TEXT_DATE_AVAILABLE, tep_date_long($product_info['products_date_available'])); ?></div>
<?php
    }
?>
  </div>
<?php
    $reviews_query = tep_db_query("select count(*) as count from " . TABLE_REVIEWS . " r, " . TABLE_REVIEWS_DESCRIPTION . " rd where r.products_id = '" . (int)$HTTP_GET_VARS['products_id'] . "' and r.reviews_id = rd.reviews_id and rd.languages_id = '" . (int)$languages_id . "' and reviews_status = 1");
    $reviews = tep_db_fetch_array($reviews_query);
?>
  <div class="buttonSet">
    <span class="buttonAction"><?php echo tep_draw_hidden_field('products_id', $product_info['products_id']) . tep_draw_button(IMAGE_BUTTON_IN_CART, 'glyphicon-shopping-cart', null, 'primary'); ?></span>
    <?php echo tep_draw_button(IMAGE_BUTTON_REVIEWS . (($reviews['count'] > 0) ? ' (' . $reviews['count'] . ')' : ''), 'glyphicon-comment', tep_href_link(FILENAME_PRODUCT_REVIEWS, tep_get_all_get_params())); ?>
  </div>
<?php
    if ($oscTemplate->hasBlocks('boxes_product_page')) {
?>
    <div class="row">
      <?php echo $oscTemplate->getBlocks('boxes_product_page'); ?>
    </div>
<?php
    }
?>
<?php
    if ((USE_CACHE == 'true') && empty($SID)) {
      echo tep_cache_also_purchased(3600);
    } else {
      include(DIR_WS_MODULES . FILENAME_ALSO_PURCHASED_PRODUCTS);
    }
?>
</div>
</form>
<?php
  }
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>     