<?php
/*
  $Id$sn_notification.php
  Report for clients account section to observe items set for notification
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2014 osCommerce
  Released under the GNU General Public License
  created by FIMBLE aka Nic - http:www.linuxuk.co.uk 
  mail to admin@linuxuk.co.uk
  Stock notification system
*/
  require('includes/application_top.php');
  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }
  // needs to be included earlier to set the success message in the messageStack
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_SN_EMAIL_NOTIFICATIONS);
  $breadcrumb->add(NAVBAR_TITLE_1, tep_href_link(FILENAME_ACCOUNT, '', 'SSL'));
  $breadcrumb->add(NAVBAR_TITLE_2, tep_href_link(FILENAME_SN_EMAIL_NOTIFICATIONS, '', 'SSL'));
  require(DIR_WS_INCLUDES . 'template_top.php');
  tep_db_query("delete from " . TABLE_STOCK_NOTIFICATION . " where snid = " . (int)$_GET['delete'] . " and " . $customer_id .  '= sn_customer_id');
?>
<h1><?php echo SN_HEADING_TITLE; ?></h1>
<?php echo tep_draw_form('stock_notifications', tep_href_link(FILENAME_SN_EMAIL_NOTIFICATIONS, '', 'SSL'), 'post', '', true) . tep_draw_hidden_field('action', 'process'); ?>
<div class="contentContainer">
  <h2><?php echo SN_NOTIFICATIONS_TITLE; ?></h2>
  <div class="contentText">
   <div><?php echo SN_NOTIFICATIONS_DESCRIPTION; ?></div>
    <table border="0" width="100%" cellspacing="0" cellpadding="2">
<?php
      $counter = 0;
      $sn_products_query = tep_db_query("select * from " . TABLE_STOCK_NOTIFICATION . "  where sn_customer_id = " . (int)$customer_id );
      while ($sn_products = tep_db_fetch_array($sn_products_query)) {
?>
      <tr>
        <td width=50 rowspan="2"><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $sn_products['product_id'], 'NONSSL') . '">' . tep_image(HTTP_SERVER . DIR_WS_HTTP_CATALOG . DIR_WS_IMAGES . $sn_products[sn_P_image], $sn_products[sn_P_name], "180px", "120px" ) . '</a>';?></td>
        <td><strong><?php echo '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $sn_products['product_id'], 'NONSSL') . '">' . $sn_products['sn_P_name'] . '</a>'; ?></strong></td><tr>
        <td><?php echo tep_draw_button(SMALL_IMAGE_BUTTON_DELETE, 'trash', tep_href_link(FILENAME_SN_EMAIL_NOTIFICATIONS, 'delete=' . $sn_products['snid'], 'SSL')); ?></td></tr>
      </tr>
<?php
        $counter++;
      }
?>
    </table>
     <div>
      <?php echo NOTIFICATIONS_NON_EXISTING; ?>
     </div>
    </div>
   <div class="buttonSet">
  <?php echo tep_draw_button(IMAGE_BUTTON_BACK, 'triangle-1-w', tep_href_link(FILENAME_ACCOUNT, '', 'SSL')); ?>
  </div>
</div>
</form>
<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>