<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2010 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_ACCOUNT);

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_ACCOUNT, '', 'SSL'));

  require(DIR_WS_INCLUDES . 'template_top.php');
?>

<div class="page-header">
  <h1><?php echo HEADING_TITLE; ?></h1>
</div>

<?php
  if ($messageStack->size('account') > 0) {
    echo $messageStack->output('account');
  }
?>

<div class="contentContainer">
  <h3><?php echo MY_ACCOUNT_TITLE; ?></h3>

  <div class="contentText">
    <ul class="accountLinkList">
      <li><span class="glyphicon glyphicon-user"></span> <?php echo '<a href="' . tep_href_link(FILENAME_ACCOUNT_EDIT, '', 'SSL') . '">' . MY_ACCOUNT_INFORMATION . '</a>'; ?></li>
      <li><span class="glyphicon glyphicon-home"></span> <?php echo '<a href="' . tep_href_link(FILENAME_ADDRESS_BOOK, '', 'SSL') . '">' . MY_ACCOUNT_ADDRESS_BOOK . '</a>'; ?></li>
      <li><span class="glyphicon glyphicon-cog"></span> <?php echo '<a href="' . tep_href_link(FILENAME_ACCOUNT_PASSWORD, '', 'SSL') . '">' . MY_ACCOUNT_PASSWORD . '</a>'; ?></li>
    </ul>
  </div>

  <h3><?php echo MY_ORDERS_TITLE; ?></h3>

  <div class="contentText">
    <ul class="accountLinkList">
      <li><span class="glyphicon glyphicon-shopping-cart"></span> <?php echo '<a href="' . tep_href_link(FILENAME_ACCOUNT_HISTORY, '', 'SSL') . '">' . MY_ORDERS_VIEW . '</a>'; ?></li>
    </ul>
  </div>

  <h3><?php echo EMAIL_NOTIFICATIONS_TITLE; ?></h3>

  <div class="contentText">
    <ul class="accountLinkList">
      <li><span class="glyphicon glyphicon-envelope"></span> <?php echo '<a href="' . tep_href_link(FILENAME_ACCOUNT_NEWSLETTERS, '', 'SSL') . '">' . EMAIL_NOTIFICATIONS_NEWSLETTERS . '</a>'; ?></li>
      <li><span class="glyphicon glyphicon-send"></span> <?php echo '<a href="' . tep_href_link(FILENAME_ACCOUNT_NOTIFICATIONS, '', 'SSL') . '">' . EMAIL_NOTIFICATIONS_PRODUCTS . '</a>'; ?></li>
    </ul>
  </div>
   <h3><?php echo SN_NOTIFICATIONS_TITLE; ?></h3>

  <div class="contentText">
    <ul class="accountLinkList">
      <li><span class="glyphicon glyphicon-bullhorn"></span> <?php echo '<a href="' . tep_href_link(FILENAME_SN_EMAIL_NOTIFICATIONS, '', 'NONSSL') . '">' . SN_EMAIL_NOTIFICATIONS . '</a>'; ?></li>
    </ul>
  </div>
</div>

<?php
  require(DIR_WS_INCLUDES . 'template_bottom.php');
  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
